<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{6C88FD92-E244-4DD1-848B-F34A48E941EC}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Microsoft.Practices.SoftwareFactories.ServiceFactory</RootNamespace>
    <AssemblyName>Microsoft.Practices.SoftwareFactories.ServiceFactory</AssemblyName>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <DocumentationFile>
    </DocumentationFile>
    <RunCodeAnalysis>false</RunCodeAnalysis>
    <CodeAnalysisRules>
    </CodeAnalysisRules>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="EnvDTE80, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.Build.Engine" />
    <Reference Include="Microsoft.Practices.Common, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.ComponentModel, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.Common, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.Library, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.RecipeFramework.VisualStudio, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.Practices.WizardFramework, Version=1.3.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.OLE.Interop, Version=7.1.40304.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.VisualStudio.Shell, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.Shell.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="Microsoft.VisualStudio.Shell.Interop, Version=7.1.40304.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.VisualStudio.TextManager.Interop, Version=7.1.40304.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="VSLangProj, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="VsWebSite.Interop, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <Reference Include="Microsoft.WizardFramework, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>$(DevEnvDir)\Microsoft.WizardFramework.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Actions\CodeDom\Helpers\CodeProvider.cs" />
    <Compile Include="Actions\CodeDom\Helpers\ContractAttributeDeclaration.cs" />
    <Compile Include="Actions\CodeDom\Helpers\DirectedMappingMethod.cs" />
    <Compile Include="Actions\CodeDom\Helpers\MappingMethodDeclaration.cs" />
    <Compile Include="Actions\CodeDom\Helpers\MappingStatement.cs" />
    <Compile Include="Actions\CodeDom\Helpers\MethodParameter.cs" />
    <Compile Include="Actions\CodeDom\Helpers\ResultVariableDeclaration.cs" />
    <Compile Include="Actions\CodeDom\Helpers\ReturnStatement.cs" />
    <Compile Include="Actions\CodeDom\Helpers\TranslatorGenerator.cs" />
    <Compile Include="Actions\CodeDom\Helpers\UnmappedProperty.cs" />
    <Compile Include="Actions\CodeDom\SchemaTypeGenerator.cs" />
    <Compile Include="Actions\CodeDom\TranslatorGeneratorAction.cs" />
    <Compile Include="Actions\CodeDom\TypeGeneratorFromProjectSchemasAction.cs" />
    <Compile Include="Actions\CodeDom\TypeGeneratorFromSchemaAction.cs" />
    <Compile Include="Actions\Configuration\EncryptConfigurationSectionAction.cs" />
    <Compile Include="Actions\Configuration\GetConfigurationAction.cs" />
    <Compile Include="Actions\Configuration\GetConfigurationItemAction.cs" />
    <Compile Include="Actions\Configuration\GetWebConfigurationAction.cs" />
    <Compile Include="Actions\Configuration\Helpers\ConfigurationVSHelper.cs" />
    <Compile Include="Actions\Configuration\Helpers\ProtectionConfigurationProvider.cs" />
    <Compile Include="Actions\Configuration\SaveConfigurationAction.cs" />
    <Compile Include="Actions\Configuration\SetConnectionStringEntryAction.cs" />
    <Compile Include="Actions\Configuration\DecryptConfigurationSectionAction.cs" />
    <Compile Include="Actions\GetTableSchemaAction.cs" />
    <Compile Include="Actions\ImplementInterfaceAction.cs" />
    <Compile Include="Actions\VisualStudio\AddItemFromFilesToXsdProjectItemAction.cs" />
    <Compile Include="CommonHelpers\MappedProperty.cs" />
    <Compile Include="CommonHelpers\MappedPropertyList.cs" />
    <Compile Include="CommonHelpers\PublicPropertyList.cs" />
    <Compile Include="CommonHelpers\PublicPropertyListItem.cs" />
    <Compile Include="CommonHelpers\ResponsibilityHelper.cs" />
    <Compile Include="CommonHelpers\ResponsibleProjectFinder.cs" />
    <Compile Include="CommonHelpers\TFSHelper.cs" />
    <Compile Include="Converters\ProjectWithResponsibilityConverter.cs" />
    <Compile Include="Converters\TableNameConverter.cs" />
    <Compile Include="CustomPages\ResponsibilitiesPage.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CustomPages\ResponsibilitiesPage.Designer.cs">
      <DependentUpon>ResponsibilitiesPage.cs</DependentUpon>
    </Compile>
    <Compile Include="Editors\Grid\AutomaticBindingStrategy.cs" />
    <Compile Include="Editors\Grid\DataGridViewBinding.cs" />
    <Compile Include="Editors\Grid\Data\IgnoreContractAttributeMember.cs" />
    <Compile Include="Editors\Grid\Data\MandatoryAttributeParameterAttribute.cs" />
    <Compile Include="Editors\Grid\Design\DesignerColumn.cs" />
    <Compile Include="Editors\Grid\Design\RequiredConverter.cs" />
    <Compile Include="Editors\Grid\Design\SiteProxy.cs" />
    <Compile Include="Editors\Grid\Design\TypeColumn.cs" />
    <Compile Include="Editors\Grid\Design\TypeConverterConverter.cs" />
    <Compile Include="Editors\Grid\Design\TypeEditorConverter.cs" />
    <Compile Include="Editors\Grid\Design\TypeListConverter.cs" />
    <Compile Include="Editors\Grid\IBindingStrategy.cs" />
    <Compile Include="Editors\Grid\ListBindingStrategy.cs" />
    <Compile Include="Editors\Grid\Validation.cs" />
    <Compile Include="Editors\VsHelper.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="References\ConfigurationFileRecipeReference.cs" />
    <Compile Include="References\ProjectItemPropertyReference.cs" />
    <Compile Include="References\ProjectWithFilesReference.cs" />
    <Compile Include="References\SolutionPropertiesReference.cs" />
    <Compile Include="References\FileCodeModelReference.cs" />
    <Compile Include="References\ProjectPropertyReference.cs" />
    <Compile Include="References\ProjectSolutionPropertiesBasedReference.cs" />
    <Compile Include="References\SolutionFolderReference.cs" />
    <Compile Include="References\SolutionOrSolutionFolderPropertyTemplateReference.cs" />
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="ValueProviders\ClassNameProvider.cs" />
    <Compile Include="ValueProviders\ConfigurationProvider.cs" />
    <Compile Include="ValueProviders\XmlNamespaceProvider.cs" />
    <Compile Include="ValueProviders\FirstImplementedInterfaceProvider.cs" />
    <Compile Include="ValueProviders\Helpers\ClassNameParser.cs" />
    <Compile Include="ValueProviders\InterfaceNameProvider.cs" />
    <Compile Include="ValueProviders\ProjectsWithResponsibilityProvider.cs" />
    <Compile Include="ValueProviders\TableSchemaProvider.cs" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="CustomPages\ResponsibilitiesPage.resx">
      <SubType>Designer</SubType>
      <DependentUpon>ResponsibilitiesPage.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <SubType>Designer</SubType>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Microsoft.Practices.RecipeFramework.Extensions\Microsoft.Practices.RecipeFramework.Extensions.csproj">
      <Project>{983AEB3B-BC20-4A8A-94CE-42B0EF74C4A1}</Project>
      <Name>Microsoft.Practices.RecipeFramework.Extensions</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>